# Enum Class Side

java.lang.Object
java.lang.Enum<Side>
it.polimi.ingsw.is25am31.model.components.Side

All Implemented Interfaces:
  `Serializable`, `Comparable<Side>`, `Constable`

public enum Side extends Enum<Side>
Enumeration representing the four cardinal sides or directions. This enum defines the four primary sides that can be used to represent spatial orientation, positioning, or directional references within the game. The sides follow a clockwise order starting from the front position. These sides can be used for various purposes such as: Defining the orientation of game components, Specifying connection points on game pieces, Indicating movement directions, Representing spatial relationships between game elements. The available sides are: `FRONT` - Front side (forward direction), `RIGHT` - Right side (clockwise from front), `BACK` - Back side (opposite to front), `LEFT` - Left side (counter-clockwise from front).

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BACK`
  `FRONT`
  `LEFT`
  `RIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Side`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Side[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FRONT

    public static final Side FRONT

  - ### RIGHT

    public static final Side RIGHT

  - ### BACK

    public static final Side BACK

  - ### LEFT

    public static final Side LEFT

- ## Method Details

  - ### values

    public static Side[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Side valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null